# Automatic Spotify scrape

Looks for your local music files on Spotify and helps you create a playlist. This is useful for migrating your local music to Spotify. **Your tracks need to have valid metadata (artist and title is the minimum)!**.

Feel free to use `https://lunasqu.ee/callback` as a callback url or put `callback.html` on your own server. It just prints query parameters to html. even if i wanted to i couldn't steal your code as i do not know your client secret.

1. create Spotify app: https://developer.spotify.com/dashboard/login
2. `npm i`
3. put your Spotify credentials in `credentials.json` following the example.
4. `node metasearcher /path/to/music/directory` scan the directory for music files and create a `spotify.json` file from matches.
5. `node resultvisualizer` create a html table from the `spotify.json` file. Select the tracks from the HTML file and press "Export selection"
6. Put `track-selection.json` in this directory and run `node composeplaylist create/add [playlist name/id]` to put all of them into a playlist!

Next time you run `resultvisualizer` your previous selection will be automagically checked!
